<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BeneficjentRzeczywistyApiZapytaniaTyp StructType
 * Meta information extracted from the WSDL
 * - documentation: Dane beneficjenta rzeczywistego.
 * @subpackage Structs
 */
class BeneficjentRzeczywistyApiZapytaniaTyp extends AbstractStructBase
{
    /**
     * The PierwszeImie
     * Meta information extracted from the WSDL
     * - documentation: Pierwsze imię beneficjenta rzeczywistego. | Imię
     * - base: xs:token
     * - maxLength: 120
     * - minLength: 1
     * @var string
     */
    public $PierwszeImie;
    /**
     * The KolejneImiona
     * Meta information extracted from the WSDL
     * - documentation: Lista oddzielonych przecinkami [,] kolejnych imion beneficjenta rzeczywistego.
     * - minOccurs: 0
     * @var string
     */
    public $KolejneImiona;
    /**
     * The Nazwisko
     * Meta information extracted from the WSDL
     * - documentation: Pełne nazwisko beneficjenta rzeczywistego. | Nazwisko
     * - base: xs:token
     * - maxLength: 300
     * - minLength: 1
     * @var string
     */
    public $Nazwisko;
    /**
     * The PESEL
     * Meta information extracted from the WSDL
     * - documentation: Numer PESEL beneficjenta rzeczywistego. | Numer w rejestrze PESEL
     * - base: xs:string
     * - minOccurs: 0
     * - pattern: \d{11}
     * @var string
     */
    public $PESEL;
    /**
     * The DataUrodzenia
     * Meta information extracted from the WSDL
     * - documentation: Data urodzenia dla beneficjenta nieposiadającego numeru PESEL.
     * - minOccurs: 0
     * @var string
     */
    public $DataUrodzenia;
    /**
     * The Obywatelstwo
     * Meta information extracted from the WSDL
     * - documentation: 2-znakowe oznaczenie kraju, którego obywatelem jest beneficjent rzeczywisty. | Kod kraju
     * - base: xs:string
     * - length: 2
     * - pattern: [A-Z][A-Z]
     * @var string
     */
    public $Obywatelstwo;
    /**
     * The KrajZamieszkania
     * Meta information extracted from the WSDL
     * - documentation: 2-znakowe oznaczenie kraju, w którym zamieszkuje na stałe lub ma obywatelstwo beneficjent rzeczywisty. | Kod kraju
     * - base: xs:string
     * - length: 2
     * - pattern: [A-Z][A-Z]
     * @var string
     */
    public $KrajZamieszkania;
    /**
     * The ListaInformacjiOUdzialach
     * Meta information extracted from the WSDL
     * - documentation: Lista informacji o wielkości i charakterze udziału lub uprawnieniach przysługujących beneficjentowi rzeczywistemu.
     * @var \StructType\ListaInformacjiOUdzialachTyp
     */
    public $ListaInformacjiOUdzialach;
    /**
     * Constructor method for BeneficjentRzeczywistyApiZapytaniaTyp
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setPierwszeImie()
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setKolejneImiona()
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setNazwisko()
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setPESEL()
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setDataUrodzenia()
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setObywatelstwo()
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setKrajZamieszkania()
     * @uses BeneficjentRzeczywistyApiZapytaniaTyp::setListaInformacjiOUdzialach()
     * @param string $pierwszeImie
     * @param string $kolejneImiona
     * @param string $nazwisko
     * @param string $pESEL
     * @param string $dataUrodzenia
     * @param string $obywatelstwo
     * @param string $krajZamieszkania
     * @param \StructType\ListaInformacjiOUdzialachTyp $listaInformacjiOUdzialach
     */
    public function __construct($pierwszeImie = null, $kolejneImiona = null, $nazwisko = null, $pESEL = null, $dataUrodzenia = null, $obywatelstwo = null, $krajZamieszkania = null, \StructType\ListaInformacjiOUdzialachTyp $listaInformacjiOUdzialach = null)
    {
        $this
            ->setPierwszeImie($pierwszeImie)
            ->setKolejneImiona($kolejneImiona)
            ->setNazwisko($nazwisko)
            ->setPESEL($pESEL)
            ->setDataUrodzenia($dataUrodzenia)
            ->setObywatelstwo($obywatelstwo)
            ->setKrajZamieszkania($krajZamieszkania)
            ->setListaInformacjiOUdzialach($listaInformacjiOUdzialach);
    }
    /**
     * Get PierwszeImie value
     * @return string|null
     */
    public function getPierwszeImie()
    {
        return $this->PierwszeImie;
    }
    /**
     * Set PierwszeImie value
     * @param string $pierwszeImie
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setPierwszeImie($pierwszeImie = null)
    {
        // validation for constraint: string
        if (!is_null($pierwszeImie) && !is_string($pierwszeImie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pierwszeImie, true), gettype($pierwszeImie)), __LINE__);
        }
        // validation for constraint: maxLength(120)
        if (!is_null($pierwszeImie) && mb_strlen($pierwszeImie) > 120) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 120', mb_strlen($pierwszeImie)), __LINE__);
        }
        // validation for constraint: minLength(1)
        if (!is_null($pierwszeImie) && mb_strlen($pierwszeImie) < 1) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be greater than or equal to 1', mb_strlen($pierwszeImie)), __LINE__);
        }
        $this->PierwszeImie = $pierwszeImie;
        return $this;
    }
    /**
     * Get KolejneImiona value
     * @return string|null
     */
    public function getKolejneImiona()
    {
        return $this->KolejneImiona;
    }
    /**
     * Set KolejneImiona value
     * @param string $kolejneImiona
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setKolejneImiona($kolejneImiona = null)
    {
        // validation for constraint: string
        if (!is_null($kolejneImiona) && !is_string($kolejneImiona)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kolejneImiona, true), gettype($kolejneImiona)), __LINE__);
        }
        $this->KolejneImiona = $kolejneImiona;
        return $this;
    }
    /**
     * Get Nazwisko value
     * @return string|null
     */
    public function getNazwisko()
    {
        return $this->Nazwisko;
    }
    /**
     * Set Nazwisko value
     * @param string $nazwisko
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setNazwisko($nazwisko = null)
    {
        // validation for constraint: string
        if (!is_null($nazwisko) && !is_string($nazwisko)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nazwisko, true), gettype($nazwisko)), __LINE__);
        }
        // validation for constraint: maxLength(300)
        if (!is_null($nazwisko) && mb_strlen($nazwisko) > 300) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 300', mb_strlen($nazwisko)), __LINE__);
        }
        // validation for constraint: minLength(1)
        if (!is_null($nazwisko) && mb_strlen($nazwisko) < 1) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be greater than or equal to 1', mb_strlen($nazwisko)), __LINE__);
        }
        $this->Nazwisko = $nazwisko;
        return $this;
    }
    /**
     * Get PESEL value
     * @return string|null
     */
    public function getPESEL()
    {
        return $this->PESEL;
    }
    /**
     * Set PESEL value
     * @param string $pESEL
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setPESEL($pESEL = null)
    {
        // validation for constraint: string
        if (!is_null($pESEL) && !is_string($pESEL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pESEL, true), gettype($pESEL)), __LINE__);
        }
        // validation for constraint: pattern(\d{11})
        if (!is_null($pESEL) && !preg_match('/\\d{11}/', $pESEL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a literal that is among the set of character sequences denoted by the regular expression \d{11}', var_export($pESEL, true)), __LINE__);
        }
        $this->PESEL = $pESEL;
        return $this;
    }
    /**
     * Get DataUrodzenia value
     * @return string|null
     */
    public function getDataUrodzenia()
    {
        return $this->DataUrodzenia;
    }
    /**
     * Set DataUrodzenia value
     * @param string $dataUrodzenia
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setDataUrodzenia($dataUrodzenia = null)
    {
        // validation for constraint: string
        if (!is_null($dataUrodzenia) && !is_string($dataUrodzenia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataUrodzenia, true), gettype($dataUrodzenia)), __LINE__);
        }
        $this->DataUrodzenia = $dataUrodzenia;
        return $this;
    }
    /**
     * Get Obywatelstwo value
     * @return string|null
     */
    public function getObywatelstwo()
    {
        return $this->Obywatelstwo;
    }
    /**
     * Set Obywatelstwo value
     * @param string $obywatelstwo
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setObywatelstwo($obywatelstwo = null)
    {
        // validation for constraint: string
        if (!is_null($obywatelstwo) && !is_string($obywatelstwo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($obywatelstwo, true), gettype($obywatelstwo)), __LINE__);
        }
        // validation for constraint: length(2)
        if (!is_null($obywatelstwo) && mb_strlen($obywatelstwo) !== 2) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be equal to 2', mb_strlen($obywatelstwo)), __LINE__);
        }
        // validation for constraint: pattern([A-Z][A-Z])
        if (!is_null($obywatelstwo) && !preg_match('/[A-Z][A-Z]/', $obywatelstwo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a literal that is among the set of character sequences denoted by the regular expression [A-Z][A-Z]', var_export($obywatelstwo, true)), __LINE__);
        }
        $this->Obywatelstwo = $obywatelstwo;
        return $this;
    }
    /**
     * Get KrajZamieszkania value
     * @return string|null
     */
    public function getKrajZamieszkania()
    {
        return $this->KrajZamieszkania;
    }
    /**
     * Set KrajZamieszkania value
     * @param string $krajZamieszkania
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setKrajZamieszkania($krajZamieszkania = null)
    {
        // validation for constraint: string
        if (!is_null($krajZamieszkania) && !is_string($krajZamieszkania)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($krajZamieszkania, true), gettype($krajZamieszkania)), __LINE__);
        }
        // validation for constraint: length(2)
        if (!is_null($krajZamieszkania) && mb_strlen($krajZamieszkania) !== 2) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be equal to 2', mb_strlen($krajZamieszkania)), __LINE__);
        }
        // validation for constraint: pattern([A-Z][A-Z])
        if (!is_null($krajZamieszkania) && !preg_match('/[A-Z][A-Z]/', $krajZamieszkania)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a literal that is among the set of character sequences denoted by the regular expression [A-Z][A-Z]', var_export($krajZamieszkania, true)), __LINE__);
        }
        $this->KrajZamieszkania = $krajZamieszkania;
        return $this;
    }
    /**
     * Get ListaInformacjiOUdzialach value
     * @return \StructType\ListaInformacjiOUdzialachTyp|null
     */
    public function getListaInformacjiOUdzialach()
    {
        return $this->ListaInformacjiOUdzialach;
    }
    /**
     * Set ListaInformacjiOUdzialach value
     * @param \StructType\ListaInformacjiOUdzialachTyp $listaInformacjiOUdzialach
     * @return \StructType\BeneficjentRzeczywistyApiZapytaniaTyp
     */
    public function setListaInformacjiOUdzialach(\StructType\ListaInformacjiOUdzialachTyp $listaInformacjiOUdzialach = null)
    {
        $this->ListaInformacjiOUdzialach = $listaInformacjiOUdzialach;
        return $this;
    }
}
