<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InformacjaOUdzialachTyp StructType
 * Meta information extracted from the WSDL
 * - documentation: Informacje dotyczące relacji pomiędzy beneficjentem, a Spółką.
 * @subpackage Structs
 */
class InformacjaOUdzialachTyp extends AbstractStructBase
{
    /**
     * The UprawnieniaWlascicielskieBezposrednie
     * Meta information extracted from the WSDL
     * - documentation: Uprawnienia właścicielskie bezpośrednie.
     * - minOccurs: 0
     * @var \StructType\WlasnoscUdzialuTyp
     */
    public $UprawnieniaWlascicielskieBezposrednie;
    /**
     * The UprawnieniaWlascicielskiePosrednie
     * Meta information extracted from the WSDL
     * - documentation: Uprawnienia właścicielskie pośrednie.
     * - minOccurs: 0
     * @var string
     */
    public $UprawnieniaWlascicielskiePosrednie;
    /**
     * The InneUprawnienia
     * Meta information extracted from the WSDL
     * - documentation: Inne uprawnienia.
     * - minOccurs: 0
     * @var string
     */
    public $InneUprawnienia;
    /**
     * Constructor method for InformacjaOUdzialachTyp
     * @uses InformacjaOUdzialachTyp::setUprawnieniaWlascicielskieBezposrednie()
     * @uses InformacjaOUdzialachTyp::setUprawnieniaWlascicielskiePosrednie()
     * @uses InformacjaOUdzialachTyp::setInneUprawnienia()
     * @param \StructType\WlasnoscUdzialuTyp $uprawnieniaWlascicielskieBezposrednie
     * @param string $uprawnieniaWlascicielskiePosrednie
     * @param string $inneUprawnienia
     */
    public function __construct(\StructType\WlasnoscUdzialuTyp $uprawnieniaWlascicielskieBezposrednie = null, $uprawnieniaWlascicielskiePosrednie = null, $inneUprawnienia = null)
    {
        $this
            ->setUprawnieniaWlascicielskieBezposrednie($uprawnieniaWlascicielskieBezposrednie)
            ->setUprawnieniaWlascicielskiePosrednie($uprawnieniaWlascicielskiePosrednie)
            ->setInneUprawnienia($inneUprawnienia);
    }
    /**
     * Get UprawnieniaWlascicielskieBezposrednie value
     * @return \StructType\WlasnoscUdzialuTyp|null
     */
    public function getUprawnieniaWlascicielskieBezposrednie()
    {
        return $this->UprawnieniaWlascicielskieBezposrednie;
    }
    /**
     * Set UprawnieniaWlascicielskieBezposrednie value
     * @param \StructType\WlasnoscUdzialuTyp $uprawnieniaWlascicielskieBezposrednie
     * @return \StructType\InformacjaOUdzialachTyp
     */
    public function setUprawnieniaWlascicielskieBezposrednie(\StructType\WlasnoscUdzialuTyp $uprawnieniaWlascicielskieBezposrednie = null)
    {
        $this->UprawnieniaWlascicielskieBezposrednie = $uprawnieniaWlascicielskieBezposrednie;
        return $this;
    }
    /**
     * Get UprawnieniaWlascicielskiePosrednie value
     * @return string|null
     */
    public function getUprawnieniaWlascicielskiePosrednie()
    {
        return $this->UprawnieniaWlascicielskiePosrednie;
    }
    /**
     * Set UprawnieniaWlascicielskiePosrednie value
     * @param string $uprawnieniaWlascicielskiePosrednie
     * @return \StructType\InformacjaOUdzialachTyp
     */
    public function setUprawnieniaWlascicielskiePosrednie($uprawnieniaWlascicielskiePosrednie = null)
    {
        // validation for constraint: string
        if (!is_null($uprawnieniaWlascicielskiePosrednie) && !is_string($uprawnieniaWlascicielskiePosrednie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uprawnieniaWlascicielskiePosrednie, true), gettype($uprawnieniaWlascicielskiePosrednie)), __LINE__);
        }
        $this->UprawnieniaWlascicielskiePosrednie = $uprawnieniaWlascicielskiePosrednie;
        return $this;
    }
    /**
     * Get InneUprawnienia value
     * @return string|null
     */
    public function getInneUprawnienia()
    {
        return $this->InneUprawnienia;
    }
    /**
     * Set InneUprawnienia value
     * @param string $inneUprawnienia
     * @return \StructType\InformacjaOUdzialachTyp
     */
    public function setInneUprawnienia($inneUprawnienia = null)
    {
        // validation for constraint: string
        if (!is_null($inneUprawnienia) && !is_string($inneUprawnienia)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($inneUprawnienia, true), gettype($inneUprawnienia)), __LINE__);
        }
        $this->InneUprawnienia = $inneUprawnienia;
        return $this;
    }
}
