<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InformacjaOUprzywilejowaniuTyp StructType
 * Meta information extracted from the WSDL
 * - documentation: Przywileje beneficjenta rzeczywistego i ich opis.
 * @subpackage Structs
 */
class InformacjaOUprzywilejowaniuTyp extends AbstractStructBase
{
    /**
     * The KodUprzywilejowania
     * Meta information extracted from the WSDL
     * - documentation: Kod uprzywilejowania akcji lub udziałów.
     * @var string
     */
    public $KodUprzywilejowania;
    /**
     * The RodzajUprzywilejowania
     * Meta information extracted from the WSDL
     * - documentation: Opis rodzaju uprzywilejowania akcji lub udziałów.
     * @var string
     */
    public $RodzajUprzywilejowania;
    /**
     * The OpisUprzywilejowania
     * Meta information extracted from the WSDL
     * - documentation: Słowny opis przywileju.
     * - minOccurs: 0
     * @var string
     */
    public $OpisUprzywilejowania;
    /**
     * Constructor method for InformacjaOUprzywilejowaniuTyp
     * @uses InformacjaOUprzywilejowaniuTyp::setKodUprzywilejowania()
     * @uses InformacjaOUprzywilejowaniuTyp::setRodzajUprzywilejowania()
     * @uses InformacjaOUprzywilejowaniuTyp::setOpisUprzywilejowania()
     * @param string $kodUprzywilejowania
     * @param string $rodzajUprzywilejowania
     * @param string $opisUprzywilejowania
     */
    public function __construct($kodUprzywilejowania = null, $rodzajUprzywilejowania = null, $opisUprzywilejowania = null)
    {
        $this
            ->setKodUprzywilejowania($kodUprzywilejowania)
            ->setRodzajUprzywilejowania($rodzajUprzywilejowania)
            ->setOpisUprzywilejowania($opisUprzywilejowania);
    }
    /**
     * Get KodUprzywilejowania value
     * @return string|null
     */
    public function getKodUprzywilejowania()
    {
        return $this->KodUprzywilejowania;
    }
    /**
     * Set KodUprzywilejowania value
     * @param string $kodUprzywilejowania
     * @return \StructType\InformacjaOUprzywilejowaniuTyp
     */
    public function setKodUprzywilejowania($kodUprzywilejowania = null)
    {
        // validation for constraint: string
        if (!is_null($kodUprzywilejowania) && !is_string($kodUprzywilejowania)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kodUprzywilejowania, true), gettype($kodUprzywilejowania)), __LINE__);
        }
        $this->KodUprzywilejowania = $kodUprzywilejowania;
        return $this;
    }
    /**
     * Get RodzajUprzywilejowania value
     * @return string|null
     */
    public function getRodzajUprzywilejowania()
    {
        return $this->RodzajUprzywilejowania;
    }
    /**
     * Set RodzajUprzywilejowania value
     * @param string $rodzajUprzywilejowania
     * @return \StructType\InformacjaOUprzywilejowaniuTyp
     */
    public function setRodzajUprzywilejowania($rodzajUprzywilejowania = null)
    {
        // validation for constraint: string
        if (!is_null($rodzajUprzywilejowania) && !is_string($rodzajUprzywilejowania)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rodzajUprzywilejowania, true), gettype($rodzajUprzywilejowania)), __LINE__);
        }
        $this->RodzajUprzywilejowania = $rodzajUprzywilejowania;
        return $this;
    }
    /**
     * Get OpisUprzywilejowania value
     * @return string|null
     */
    public function getOpisUprzywilejowania()
    {
        return $this->OpisUprzywilejowania;
    }
    /**
     * Set OpisUprzywilejowania value
     * @param string $opisUprzywilejowania
     * @return \StructType\InformacjaOUprzywilejowaniuTyp
     */
    public function setOpisUprzywilejowania($opisUprzywilejowania = null)
    {
        // validation for constraint: string
        if (!is_null($opisUprzywilejowania) && !is_string($opisUprzywilejowania)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($opisUprzywilejowania, true), gettype($opisUprzywilejowania)), __LINE__);
        }
        $this->OpisUprzywilejowania = $opisUprzywilejowania;
        return $this;
    }
}
