<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaInformacjiOUdzialachTyp StructType
 * Meta information extracted from the WSDL
 * - documentation: Lista informacji o udziałach.
 * @subpackage Structs
 */
class ListaInformacjiOUdzialachTyp extends AbstractStructBase
{
    /**
     * The InformacjaOUdzialach
     * Meta information extracted from the WSDL
     * - documentation: Lista elementów informacja o udziałach lub uprawnieniach.
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var \StructType\InformacjaOUdzialachTyp[]
     */
    public $InformacjaOUdzialach;
    /**
     * Constructor method for ListaInformacjiOUdzialachTyp
     * @uses ListaInformacjiOUdzialachTyp::setInformacjaOUdzialach()
     * @param \StructType\InformacjaOUdzialachTyp[] $informacjaOUdzialach
     */
    public function __construct(array $informacjaOUdzialach = array())
    {
        $this
            ->setInformacjaOUdzialach($informacjaOUdzialach);
    }
    /**
     * Get InformacjaOUdzialach value
     * @return \StructType\InformacjaOUdzialachTyp[]
     */
    public function getInformacjaOUdzialach()
    {
        return $this->InformacjaOUdzialach;
    }
    /**
     * This method is responsible for validating the values passed to the setInformacjaOUdzialach method
     * This method is willingly generated in order to preserve the one-line inline validation within the setInformacjaOUdzialach method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateInformacjaOUdzialachForArrayConstraintsFromSetInformacjaOUdzialach(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaInformacjiOUdzialachTypInformacjaOUdzialachItem) {
            // validation for constraint: itemType
            if (!$listaInformacjiOUdzialachTypInformacjaOUdzialachItem instanceof \StructType\InformacjaOUdzialachTyp) {
                $invalidValues[] = is_object($listaInformacjiOUdzialachTypInformacjaOUdzialachItem) ? get_class($listaInformacjiOUdzialachTypInformacjaOUdzialachItem) : sprintf('%s(%s)', gettype($listaInformacjiOUdzialachTypInformacjaOUdzialachItem), var_export($listaInformacjiOUdzialachTypInformacjaOUdzialachItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The InformacjaOUdzialach property can only contain items of type \StructType\InformacjaOUdzialachTyp, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set InformacjaOUdzialach value
     * @throws \InvalidArgumentException
     * @param \StructType\InformacjaOUdzialachTyp[] $informacjaOUdzialach
     * @return \StructType\ListaInformacjiOUdzialachTyp
     */
    public function setInformacjaOUdzialach(array $informacjaOUdzialach = array())
    {
        // validation for constraint: array
        if ('' !== ($informacjaOUdzialachArrayErrorMessage = self::validateInformacjaOUdzialachForArrayConstraintsFromSetInformacjaOUdzialach($informacjaOUdzialach))) {
            throw new \InvalidArgumentException($informacjaOUdzialachArrayErrorMessage, __LINE__);
        }
        $this->InformacjaOUdzialach = $informacjaOUdzialach;
        return $this;
    }
    /**
     * Add item to InformacjaOUdzialach value
     * @throws \InvalidArgumentException
     * @param \StructType\InformacjaOUdzialachTyp $item
     * @return \StructType\ListaInformacjiOUdzialachTyp
     */
    public function addToInformacjaOUdzialach(\StructType\InformacjaOUdzialachTyp $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\InformacjaOUdzialachTyp) {
            throw new \InvalidArgumentException(sprintf('The InformacjaOUdzialach property can only contain items of type \StructType\InformacjaOUdzialachTyp, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->InformacjaOUdzialach[] = $item;
        return $this;
    }
}
