<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaNumerowReferencyjnychTyp StructType
 * Meta information extracted from the WSDL
 * - documentation: Lista numerów referencyjnych.
 * @subpackage Structs
 */
class ListaNumerowReferencyjnychTyp extends AbstractStructBase
{
    /**
     * The NumerReferencyjny
     * Meta information extracted from the WSDL
     * - documentation: Numer referencyjny zgłoszenia.
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var string[]
     */
    public $NumerReferencyjny;
    /**
     * Constructor method for ListaNumerowReferencyjnychTyp
     * @uses ListaNumerowReferencyjnychTyp::setNumerReferencyjny()
     * @param string[] $numerReferencyjny
     */
    public function __construct(array $numerReferencyjny = array())
    {
        $this
            ->setNumerReferencyjny($numerReferencyjny);
    }
    /**
     * Get NumerReferencyjny value
     * @return string[]
     */
    public function getNumerReferencyjny()
    {
        return $this->NumerReferencyjny;
    }
    /**
     * This method is responsible for validating the values passed to the setNumerReferencyjny method
     * This method is willingly generated in order to preserve the one-line inline validation within the setNumerReferencyjny method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateNumerReferencyjnyForArrayConstraintsFromSetNumerReferencyjny(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaNumerowReferencyjnychTypNumerReferencyjnyItem) {
            // validation for constraint: itemType
            if (!is_string($listaNumerowReferencyjnychTypNumerReferencyjnyItem)) {
                $invalidValues[] = is_object($listaNumerowReferencyjnychTypNumerReferencyjnyItem) ? get_class($listaNumerowReferencyjnychTypNumerReferencyjnyItem) : sprintf('%s(%s)', gettype($listaNumerowReferencyjnychTypNumerReferencyjnyItem), var_export($listaNumerowReferencyjnychTypNumerReferencyjnyItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The NumerReferencyjny property can only contain items of type string, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set NumerReferencyjny value
     * @throws \InvalidArgumentException
     * @param string[] $numerReferencyjny
     * @return \StructType\ListaNumerowReferencyjnychTyp
     */
    public function setNumerReferencyjny(array $numerReferencyjny = array())
    {
        // validation for constraint: array
        if ('' !== ($numerReferencyjnyArrayErrorMessage = self::validateNumerReferencyjnyForArrayConstraintsFromSetNumerReferencyjny($numerReferencyjny))) {
            throw new \InvalidArgumentException($numerReferencyjnyArrayErrorMessage, __LINE__);
        }
        $this->NumerReferencyjny = $numerReferencyjny;
        return $this;
    }
    /**
     * Add item to NumerReferencyjny value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \StructType\ListaNumerowReferencyjnychTyp
     */
    public function addToNumerReferencyjny($item)
    {
        // validation for constraint: itemType
        if (!is_string($item)) {
            throw new \InvalidArgumentException(sprintf('The NumerReferencyjny property can only contain items of type string, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->NumerReferencyjny[] = $item;
        return $this;
    }
}
