<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaZgloszenSpolkiTyp StructType
 * Meta information extracted from the WSDL
 * - documentation: Lista zgłoszeń spółki i beneficjentów.
 * @subpackage Structs
 */
class ListaZgloszenSpolkiTyp extends AbstractStructBase
{
    /**
     * The ZgloszenieSpolki
     * Meta information extracted from the WSDL
     * - documentation: Lista elementów zgłoszenie spółki.
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp[]
     */
    public $ZgloszenieSpolki;
    /**
     * Constructor method for ListaZgloszenSpolkiTyp
     * @uses ListaZgloszenSpolkiTyp::setZgloszenieSpolki()
     * @param \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp[] $zgloszenieSpolki
     */
    public function __construct(array $zgloszenieSpolki = array())
    {
        $this
            ->setZgloszenieSpolki($zgloszenieSpolki);
    }
    /**
     * Get ZgloszenieSpolki value
     * @return \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp[]|null
     */
    public function getZgloszenieSpolki()
    {
        return $this->ZgloszenieSpolki;
    }
    /**
     * This method is responsible for validating the values passed to the setZgloszenieSpolki method
     * This method is willingly generated in order to preserve the one-line inline validation within the setZgloszenieSpolki method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateZgloszenieSpolkiForArrayConstraintsFromSetZgloszenieSpolki(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $listaZgloszenSpolkiTypZgloszenieSpolkiItem) {
            // validation for constraint: itemType
            if (!$listaZgloszenSpolkiTypZgloszenieSpolkiItem instanceof \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp) {
                $invalidValues[] = is_object($listaZgloszenSpolkiTypZgloszenieSpolkiItem) ? get_class($listaZgloszenSpolkiTypZgloszenieSpolkiItem) : sprintf('%s(%s)', gettype($listaZgloszenSpolkiTypZgloszenieSpolkiItem), var_export($listaZgloszenSpolkiTypZgloszenieSpolkiItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ZgloszenieSpolki property can only contain items of type \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ZgloszenieSpolki value
     * @throws \InvalidArgumentException
     * @param \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp[] $zgloszenieSpolki
     * @return \StructType\ListaZgloszenSpolkiTyp
     */
    public function setZgloszenieSpolki(array $zgloszenieSpolki = array())
    {
        // validation for constraint: array
        if ('' !== ($zgloszenieSpolkiArrayErrorMessage = self::validateZgloszenieSpolkiForArrayConstraintsFromSetZgloszenieSpolki($zgloszenieSpolki))) {
            throw new \InvalidArgumentException($zgloszenieSpolkiArrayErrorMessage, __LINE__);
        }
        $this->ZgloszenieSpolki = $zgloszenieSpolki;
        return $this;
    }
    /**
     * Add item to ZgloszenieSpolki value
     * @throws \InvalidArgumentException
     * @param \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp $item
     * @return \StructType\ListaZgloszenSpolkiTyp
     */
    public function addToZgloszenieSpolki(\StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp) {
            throw new \InvalidArgumentException(sprintf('The ZgloszenieSpolki property can only contain items of type \StructType\SpolkaIBeneficjenciGuiZgloszeniaTyp, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ZgloszenieSpolki[] = $item;
        return $this;
    }
}
