<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PobierzZgloszeniaOdpowiedzDaneTyp StructType
 * Meta information extracted from the WSDL
 * - documentation: Komunikat odpowiedzi na komunikat żądania o listę zgłoszeń dla spółki.
 * @subpackage Structs
 */
class PobierzZgloszeniaOdpowiedzDaneTyp extends AbstractStructBase
{
    /**
     * The CzyIstnieje
     * Meta information extracted from the WSDL
     * - documentation: True - jeżeli występuje co najmniej jedno zgłoszenie, w przeciwnym przypadku False.
     * @var bool
     */
    public $CzyIstnieje;
    /**
     * The ListaZgloszenSpolki
     * Meta information extracted from the WSDL
     * - documentation: Lista zgłoszeń spółki i list beneficjentów dla każdego zgłoszenia.
     * - minOccurs: 0
     * @var \StructType\ListaZgloszenSpolkiTyp
     */
    public $ListaZgloszenSpolki;
    /**
     * Constructor method for PobierzZgloszeniaOdpowiedzDaneTyp
     * @uses PobierzZgloszeniaOdpowiedzDaneTyp::setCzyIstnieje()
     * @uses PobierzZgloszeniaOdpowiedzDaneTyp::setListaZgloszenSpolki()
     * @param bool $czyIstnieje
     * @param \StructType\ListaZgloszenSpolkiTyp $listaZgloszenSpolki
     */
    public function __construct($czyIstnieje = null, \StructType\ListaZgloszenSpolkiTyp $listaZgloszenSpolki = null)
    {
        $this
            ->setCzyIstnieje($czyIstnieje)
            ->setListaZgloszenSpolki($listaZgloszenSpolki);
    }
    /**
     * Get CzyIstnieje value
     * @return bool|null
     */
    public function getCzyIstnieje()
    {
        return $this->CzyIstnieje;
    }
    /**
     * Set CzyIstnieje value
     * @param bool $czyIstnieje
     * @return \StructType\PobierzZgloszeniaOdpowiedzDaneTyp
     */
    public function setCzyIstnieje($czyIstnieje = null)
    {
        // validation for constraint: boolean
        if (!is_null($czyIstnieje) && !is_bool($czyIstnieje)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($czyIstnieje, true), gettype($czyIstnieje)), __LINE__);
        }
        $this->CzyIstnieje = $czyIstnieje;
        return $this;
    }
    /**
     * Get ListaZgloszenSpolki value
     * @return \StructType\ListaZgloszenSpolkiTyp|null
     */
    public function getListaZgloszenSpolki()
    {
        return $this->ListaZgloszenSpolki;
    }
    /**
     * Set ListaZgloszenSpolki value
     * @param \StructType\ListaZgloszenSpolkiTyp $listaZgloszenSpolki
     * @return \StructType\PobierzZgloszeniaOdpowiedzDaneTyp
     */
    public function setListaZgloszenSpolki(\StructType\ListaZgloszenSpolkiTyp $listaZgloszenSpolki = null)
    {
        $this->ListaZgloszenSpolki = $listaZgloszenSpolki;
        return $this;
    }
}
