<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ZgloszenieInformacjeORozbieznosciachOdpowiedzDaneTyp
 * StructType
 * Meta information extracted from the WSDL
 * - documentation: Komunikat odpowiedzi na komunikat żądania informacji o rozbieżnościach zgłoszenia.
 * @subpackage Structs
 */
class ZgloszenieInformacjeORozbieznosciachOdpowiedzDaneTyp extends AbstractStructBase
{
    /**
     * The Zgloszenie
     * Meta information extracted from the WSDL
     * - documentation: Lista zgłoszeń zawierająca informacje o rozbieżnościach dla listy numerów referencyjnych z komunikatu żądania.
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp[]
     */
    public $Zgloszenie;
    /**
     * Constructor method for ZgloszenieInformacjeORozbieznosciachOdpowiedzDaneTyp
     * @uses ZgloszenieInformacjeORozbieznosciachOdpowiedzDaneTyp::setZgloszenie()
     * @param \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp[] $zgloszenie
     */
    public function __construct(array $zgloszenie = array())
    {
        $this
            ->setZgloszenie($zgloszenie);
    }
    /**
     * Get Zgloszenie value
     * @return \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp[]|null
     */
    public function getZgloszenie()
    {
        return $this->Zgloszenie;
    }
    /**
     * This method is responsible for validating the values passed to the setZgloszenie method
     * This method is willingly generated in order to preserve the one-line inline validation within the setZgloszenie method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateZgloszenieForArrayConstraintsFromSetZgloszenie(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $zgloszenieInformacjeORozbieznosciachOdpowiedzDaneTypZgloszenieItem) {
            // validation for constraint: itemType
            if (!$zgloszenieInformacjeORozbieznosciachOdpowiedzDaneTypZgloszenieItem instanceof \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp) {
                $invalidValues[] = is_object($zgloszenieInformacjeORozbieznosciachOdpowiedzDaneTypZgloszenieItem) ? get_class($zgloszenieInformacjeORozbieznosciachOdpowiedzDaneTypZgloszenieItem) : sprintf('%s(%s)', gettype($zgloszenieInformacjeORozbieznosciachOdpowiedzDaneTypZgloszenieItem), var_export($zgloszenieInformacjeORozbieznosciachOdpowiedzDaneTypZgloszenieItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Zgloszenie property can only contain items of type \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Zgloszenie value
     * @throws \InvalidArgumentException
     * @param \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp[] $zgloszenie
     * @return \StructType\ZgloszenieInformacjeORozbieznosciachOdpowiedzDaneTyp
     */
    public function setZgloszenie(array $zgloszenie = array())
    {
        // validation for constraint: array
        if ('' !== ($zgloszenieArrayErrorMessage = self::validateZgloszenieForArrayConstraintsFromSetZgloszenie($zgloszenie))) {
            throw new \InvalidArgumentException($zgloszenieArrayErrorMessage, __LINE__);
        }
        $this->Zgloszenie = $zgloszenie;
        return $this;
    }
    /**
     * Add item to Zgloszenie value
     * @throws \InvalidArgumentException
     * @param \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp $item
     * @return \StructType\ZgloszenieInformacjeORozbieznosciachOdpowiedzDaneTyp
     */
    public function addToZgloszenie(\StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp) {
            throw new \InvalidArgumentException(sprintf('The Zgloszenie property can only contain items of type \StructType\ListaInformacjiORozbieznosciachZgloszeniaTyp, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Zgloszenie[] = $item;
        return $this;
    }
}
